cancel
Showing results for 
Search instead for 
Did you mean: 

conflicting component dependencies in Magento 2.3.0

Highlighted

Re: conflicting component dependencies in Magento 2.3.0

I tried all of the above, but the problem persists.

Highlighted

Re: conflicting component dependencies in Magento 2.3.0

This worked for me. 

This should be detailed as an error message.

How did you figure this out?

Highlighted

Re: conflicting component dependencies in Magento 2.3.0

Make sure and update it in the local php values in .htaccess and .user.ini

Highlighted

Re: conflicting component dependencies in Magento 2.3.0

I was searching as well, proposed solutions didn't work. Turned out I was on PHP 7.3.17 and I switched back to 7.2 (had to anyway, because a need module didn't work on 7.3.x)

Maybe it 'll help someone.

Highlighted

Re: conflicting component dependencies in Magento 2.3.0

OMG, This solution is the best after researching 8 hours. What I did was just editing the .htacess in root htdocs folder from 

 

php_value memory_limit 756M

 

to 

 

php_value memory_limit 3G

 

 

And it Works!

Highlighted

Re: conflicting component dependencies in Magento 2.3.0

@wylan_swets1  Yes, I confirm that this general error "conflicting component dependencies" in the setup wizard if not related to actual conflicting component (You can assume that if no details about the components is provided in the error message) is related to the PHP memory limit. 

 

But to make this answer complete in addition to changing the memory limit in the server php.ini and ".htaccess" file. You need also to change it in the ".user.ini" file that is located in the root web directory of your Magento installation.

 

The Apache server based on the selected configuration (in case of FPM for example) may load the "memory_limit = 2048M" value from this file ".user.ini".

Highlighted

Re: conflicting component dependencies in Magento 2.3.0


@marin_detchev wrote:

I tried all of the above, but the problem persists.



3 days now and i too still have the problem, were you able to figure it out?